GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::NodableSegmentString Class Reference

An interface for classes which support adding nodes to a segment string. More...

`#include <NodableSegmentString.h>`

Inheritance diagram for geos::noding::NodableSegmentString:

## Public Member Functions
| NodableSegmentString (const void *newContext)
Public Member Functions inherited from geos::noding::SegmentString
| SegmentString (const void *newContext)
| Construct a SegmentString.
const void * | getData () const
void | setData (const void *data)
virtual unsigned int | size () const =0
virtual const geom::Coordinate & | getCoordinate (unsigned int i) const =0
virtual geom::CoordinateSequence * | getCoordinates () const =0
| Return a pointer to the CoordinateSequence associated with this SegmentString.
virtual bool | isClosed () const =0
virtual std::ostream & | print (std::ostream &os) const

## Additional Inherited Members
Public Types inherited from geos::noding::SegmentString
typedef std::vector< const SegmentString * > | ConstVect
typedef std::vector < SegmentString * > | NonConstVect

## Detailed Description

An interface for classes which support adding nodes to a segment string.

Author
  Martin Davis

The documentation for this class was generated from the following file:

- NodableSegmentString.h